Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Newcomers » Newcomers » Trying to Install New Software, Eclipse is asking for a password(Password Request on New Software)
Trying to Install New Software, Eclipse is asking for a password [message #1471184] Wed, 12 November 2014 23:43 Go to next message
Dave Dernberger is currently offline Dave DernbergerFriend
Messages: 3
Registered: November 2014
Junior Member
I received a new pc and now when I try to install Activiti through the install new software I am being asked for a password to access Download.Eclipse.Org? I have tried several different password but nothing seems to work. Even set up account on here and tried it.

Not sure if the issue is related but I also seem to be missing some EMF files which may be why it is trying to access eclipse.org?
Re: Trying to Install New Software, Eclipse is asking for a password [message #1471656 is a reply to message #1471184] Thu, 13 November 2014 08:45 Go to previous messageGo to next message
David Williams is currently offline David WilliamsFriend
Messages: 722
Registered: July 2009
Senior Member
On 11/13/2014 02:37 AM, Dave Dernberger wrote:
> I received a new pc and now when I try to install Activiti through the
> install new software I am being asked for a password to access
> Download.Eclipse.Org? I have tried several different password but
> nothing seems to work. Even set up account on here and tried it.
> Not sure if the issue is related but I also seem to be missing some
> EMF files which may be why it is trying to access eclipse.org?
The password request would not be "coming from" Eclipse. Maybe a proxy,
if you are behind one.

But, I've sometimes see a "corrupt zip" (or, one with lines that were
too long) get confused and think it was a "signed zip"?

But, this should probably be a question you ask of Activiti ... since it
is their stuff you are trying to install? And, as far as I know, they do
something special?
Re: Trying to Install New Software, Eclipse is asking for a password [message #1472266 is a reply to message #1471656] Thu, 13 November 2014 18:48 Go to previous messageGo to next message
Denis Roy is currently offline Denis RoyFriend
Messages: 471
Registered: October 2004
Location: Ottawa, Ontario, Canada
Senior Member

Activiti (whatever that is) is not affiliated with eclipse.org at all. Can you post a screenshot of the password dialog?

If they are asking for a password for download.eclipse.org, we will investigate this.


Denis Roy
Eclipse Webmaster -- webmaster@eclipse.org
Re: Trying to Install New Software, Eclipse is asking for a password [message #1472298 is a reply to message #1472266] Thu, 13 November 2014 19:24 Go to previous messageGo to next message
Dave Dernberger is currently offline Dave DernbergerFriend
Messages: 3
Registered: November 2014
Junior Member
I have attached the password box I am getting. I have compared another user with my set up and have noticed I do not have as many Eclipse Modeling Project plugins as she does. I am not sure if this is because Eclipse is not loading completely because I cannot get past this password.

If i do cancel out the password box it loads something and then provides this error:

Cannot complete the install because one or more required items could not be found.
Software being installed: Activiti Eclipse BPMN 2.0 Designer 5.12.0 (org.activiti.designer.feature.feature.group 5.12.0)
Missing requirement: Activiti Eclipse BPMN 2.0 Designer 5.12.0 (org.activiti.designer.feature.feature.group 5.12.0) requires 'org.eclipse.emf 2.6.0' but it could not be found
Re: Trying to Install New Software, Eclipse is asking for a password [message #1472322 is a reply to message #1472298] Thu, 13 November 2014 19:45 Go to previous messageGo to next message
Tauno Voipio is currently offline Tauno VoipioFriend
Messages: 589
Registered: August 2014
Senior Member
PLEEASE, do NOT attach pictures as Word documents!

Attached PNG of same, this only time.
  • Attachment: screen.png
    (Size: 356.32KB, Downloaded 396 times)


--

Tauno Voipio
Re: Trying to Install New Software, Eclipse is asking for a password [message #1472343 is a reply to message #1472298] Thu, 13 November 2014 20:10 Go to previous messageGo to next message
David Williams is currently offline David WilliamsFriend
Messages: 722
Registered: July 2009
Senior Member
<html>
<head>
<meta content="text/html; charset=utf-8" http-equiv="Content-Type">
</head>
<body bgcolor="#FFFFFF" text="#000000">
<div class="moz-cite-prefix">On 11/13/2014 02:24 PM, Dave Dernberger
wrote:<br>
</div>
<blockquote cite="mid:m430hv$fek$1@xxxxxxxxe.org" type="cite">
<pre wrap="">I have attached the password box I am getting. I have compared another user with my set up and have noticed I do not have as many Eclipse Modeling Project plugins as she does. I am not sure if this is because Eclipse is not loading completely because I cannot get past this password.

If i do cancel out the password box it loads something and then provides this error:

Cannot complete the install because one or more required items could not be found.
Software being installed: Activiti Eclipse BPMN 2.0 Designer 5.12.0 (org.activiti.designer.feature.feature.group 5.12.0)
Missing requirement: Activiti Eclipse BPMN 2.0 Designer 5.12.0 (org.activiti.designer.feature.feature.group 5.12.0) requires 'org.eclipse.emf 2.6.0' but it could not be found
</pre>
</blockquote>
<font face="DejaVu Sans Mono">You never did say if you are behind a
proxy. Even one that normally does not require a userid/password.
<br>
<br>
Part of the reason I ask is because of bug <br>
<a class="moz-txt-link-freetext" href="https://bugs.eclipse.org/bugs/show_bug.cgi?id=422665">https://bugs.eclipse.org/bugs/show_bug.cgi?id=422665</a>, <br>
where Eclipse/p2/ecf "thinks" it needs to authenticate the proxy
when it does not. And this occurs on Windows only, as far as I
know, so assume you are on Windows? And what version of Eclipse
does Activiti say it works with? "Luna" (Eclipse 4.4?) If
something prior to that, then this would not be the bug you are
hitting. <br>
<br>
A good way to test this, if you haven't already, it to install a
"plain" Eclipse SDK 4.4.1 (so all the other software is removed
from the equation) such as from <br>
<br>
<a class="moz-txt-link-freetext" href="http://download.eclipse.org/eclipse/downloads/drops4/R-4.4.1-201409250400/#EclipseSDK">http://download.eclipse.org/eclipse/downloads/drops4/R-4.4.1-201409250400/#EclipseSDK</a><br>
(getting appropriate 32 or 64 bit, based on your machine and your
VM). <br>
<br>
And then, under help, select "install new software", pick the
repository for .../releases/Luna <br>
and try to install something from there ... Eclipse Git, XML
Editor, or something small :) <br>
<br>
If you do get the prompt then, I'd say you are running into bug </font><font
face="DejaVu Sans Mono"><font face="DejaVu Sans Mono">422665</font>
and you are "going through a proxy". <br>
If you do not get the prompt, then I think you'll have to ask
Activiti what the best course of action is. <br>
(Well, or try some of the work arounds, in bug 422665, if you have
the patience for it. :) <br>
<br>
Good luck, <br>
<br>
<br>
<br>
<br>
<br>
<br>
</font>
</body>
</html>
Re: Trying to Install New Software, Eclipse is asking for a password [message #1472348 is a reply to message #1472343] Thu, 13 November 2014 20:18 Go to previous messageGo to next message
Denis Roy is currently offline Denis RoyFriend
Messages: 471
Registered: October 2004
Location: Ottawa, Ontario, Canada
Senior Member

David Williams wrote on Thu, 13 November 2014 15:10

You never did say if you are behind a
proxy. Even one that normally does not require a userid/password.


David, your response was garbled, but I was able to pull out the above question, which is indeed a good question.


Denis Roy
Eclipse Webmaster -- webmaster@eclipse.org
Re: Trying to Install New Software, Eclipse is asking for a password [message #1472349 is a reply to message #1472322] Thu, 13 November 2014 20:19 Go to previous messageGo to next message
Wayne Beaton is currently offline Wayne BeatonFriend
Messages: 553
Registered: December 2017
Senior Member
This thread tackled the same problem. It looks like David is right: it's likely a problem with your proxy server.

http://forum.spring.io/forum/spring-projects/springsource-tool-suite/100711-login-required-to-add-plugins
Re: Trying to Install New Software, Eclipse is asking for a password [message #1472366 is a reply to message #1472348] Thu, 13 November 2014 20:40 Go to previous messageGo to next message
David Williams is currently offline David WilliamsFriend
Messages: 722
Registered: July 2009
Senior Member
On 11/13/2014 03:18 PM, Denis Roy wrote:
> David Williams wrote on Thu, 13 November 2014 15:10
>> You never did say if you are behind a
>> proxy. Even one that normally does not require a userid/password.
>
>
> David, your response was garbled, but I was able to pull out the above
> question, which is indeed a good question.

We'll see if this one looks any better. I'll tell it to send in "plain
text".
(I use a news reader that handles the HTML fine, and I'd think the forum
would? But, maybe the "translation" from one to the other does not?)


On 11/13/2014 02:24 PM, Dave Dernberger wrote:
> I have attached the password box I am getting. I have compared
another user with my set up and have noticed I do not have as many
Eclipse Modeling Project plugins as she does. I am not sure if this is
because Eclipse is not loading completely because I cannot get past this
password.
>
> If i do cancel out the password box it loads something and then
provides this error:
>
> Cannot complete the install because one or more required items could
not be found.
> Software being installed: Activiti Eclipse BPMN 2.0 Designer 5.12.0
(org.activiti.designer.feature.feature.group 5.12.0)
> Missing requirement: Activiti Eclipse BPMN 2.0 Designer 5.12.0
(org.activiti.designer.feature.feature.group 5.12.0) requires
'org.eclipse.emf 2.6.0' but it could not be found
You never did say if you are behind a proxy. Even one that normally does
not require a userid/password.

Part of the reason I ask is because of bug
https://bugs.eclipse.org/bugs/show_bug.cgi?id=422665,
where Eclipse/p2/ecf "thinks" it needs to authenticate the proxy when it
does not. And this occurs on Windows only, as far as I know, so assume
you are on Windows? And what version of Eclipse does Activiti say it
works with? "Luna" (Eclipse 4.4?) If something prior to that, then this
would not be the bug you are hitting.

A good way to test this, if you haven't already, it to install a "plain"
Eclipse SDK 4.4.1 (so all the other software is removed from the
equation) such as from

http://download.eclipse.org/eclipse/downloads/drops4/R-4.4.1-201409250400/#EclipseSDK
(getting appropriate 32 or 64 bit, based on your machine and your VM).

And then, under help, select "install new software", pick the repository
for .../releases/Luna
and try to install something from there ... Eclipse Git, XML Editor, or
something small :)

If you do get the prompt then, I'd say you are running into bug 422665
and you are "going through a proxy".
If you do not get the prompt, then I think you'll have to ask Activiti
what the best course of action is.
(Well, or try some of the work arounds, in bug 422665, if you have the
patience for it. :)

Good luck,
Re: Trying to Install New Software, Eclipse is asking for a password [message #1473589 is a reply to message #1472366] Fri, 14 November 2014 19:23 Go to previous message
Dave Dernberger is currently offline Dave DernbergerFriend
Messages: 3
Registered: November 2014
Junior Member
Thank you for all your suggestions. We were able to merge information from the standard version and the modeling version of Eclipse to get the missing EMF files loaded and it is now working.

This issue can be ended or closed.

Thanks,

Dave
Previous Topic:Remote Debug Java Swing JDK7
Next Topic:Failure on Launching Debug
Goto Forum:
  


Current Time: Sun Sep 27 18:17:33 GMT 2020

Powered by FUDForum. Page generated in 0.03822 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top